#pragma once
#include "Section.h"
#include "Drawable.h"

void Section::DrawShapes(
    Graphics& gfx,
    Logger& logger) noexcept
{
    for (auto& shape : shapes)
    {
        // shape->Update(dt); TODO
        shape->ExecuteBind(gfx, logger);
        shape->Draw(gfx, logger);
    }
};